import { Box, Typography } from "@mui/material";
import { FC } from "react";
import { useSettings } from "../../../../contexts/SettingsContext";
import { CategoryTitle } from "../CategoryTitle";

interface DebugProps {
  sx?: any;
}

export const Debug: FC<DebugProps> = ({ sx }) => {
  // contexts
  const { settings, resetSettings } = useSettings();

  return (
    <Box sx={{ sx }}>
      <CategoryTitle title="Debug Panel" />
      <Typography
        color="error"
        variant="h6"
      >
        Here do be dragons
      </Typography>
      <button
        onClick={() => {
          resetSettings();
        }}
      >
        reset settings
      </button>
      <button>update settings</button>
      <button
        onClick={() => {
          console.log(settings);
        }}
      >
        log settings
      </button>
      <button
        onClick={() => {
          console.log(settings.background.background_image_path);
        }}
      >
        testing
      </button>
    </Box>
  );
};
